#include <bits/stdc++.h>
#include "locmin.h"

using namespace std;
pair<int,int>vec[5];
vector<pair<pair<int,int>,int>>v;
int ver(int i,int j,int n,int m)
{
    if(i<1||i>n)
        return 0;
    if(j<1||j>m)
        return 0;
    return 1;
}
pair<int,int>find_locmin_point(int N,int M)
{
    vec[0]= {-1,0};
    vec[1]= {1,0};
    vec[2]= {0,1};
    vec[3]= {0,-1};
    int i1=1,j1=1,valant;
    valant=value(i1,j1);
    while(1)
    {
        v.clear();
        for(int l=0; l<4; l++)
        {
            int i2=i1+vec[l].first,j2=j1+vec[l].second;
            if(ver(i2,j2,N,M))
            {
                int val=value(i2,j2);
                v.push_back({{i2,j2},val});
            }
        }
        int ok=1;
        for(auto it:v)
            if(it.second<valant)
            {
                i1=it.first.first;
                j1=it.first.second;
                valant=it.second;
                ok=0;
                break;
            }
        if(ok==1)
            return {i1,j1};
    }
}
